#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 lsp
version:              1.2.0.1
visibility:           public
id:                   lsp-1.2.0.1-DgxNxBm0ixG3b2NAzGm3rH
key:                  lsp-1.2.0.1-DgxNxBm0ixG3b2NAzGm3rH
license:              MIT
copyright:            Alan Zimmerman, 2016-2021
maintainer:           alan.zimm@gmail.com
author:               Alan Zimmerman
homepage:             https://github.com/haskell/lsp
synopsis:             Haskell library for the Microsoft Language Server Protocol
description:
    An implementation of the types, and basic message server to
    allow language implementors to support the Language Server
    Protocol for their specific language.

    An example of this is for Haskell via the Haskell Language
    Server, at https://github.com/haskell/haskell-language-server

category:             Development
abi:                  a1f0014515ee9f941add2b5c760c1427
exposed:              True
exposed-modules:
    Language.LSP.Diagnostics, Language.LSP.Server,
    Language.LSP.Types from lsp-types-1.3.0.1-1homHhdCbCcJVBnsPDIE6N:Language.LSP.Types,
    Language.LSP.Types.Capabilities from lsp-types-1.3.0.1-1homHhdCbCcJVBnsPDIE6N:Language.LSP.Types.Capabilities,
    Language.LSP.Types.Lens from lsp-types-1.3.0.1-1homHhdCbCcJVBnsPDIE6N:Language.LSP.Types.Lens,
    Language.LSP.VFS from lsp-types-1.3.0.1-1homHhdCbCcJVBnsPDIE6N:Language.LSP.VFS

hidden-modules:
    Language.LSP.Server.Core Language.LSP.Server.Control
    Language.LSP.Server.Processing

import-dirs:          /usr/lib/ghc-9.0.1/site-local/lsp-1.2.0.1
library-dirs:         /usr/lib/ghc-9.0.1/site-local/lsp-1.2.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/lsp-1.2.0.1
hs-libraries:         HSlsp-1.2.0.1-DgxNxBm0ixG3b2NAzGm3rH
depends:
    aeson-1.5.6.0-5xJqgJM7Xo44Ry8m4HB8YT
    async-2.2.3-ADK08CToinJACmhOUl3TMq
    attoparsec-0.14.1-2Lwpa9GUrZtgMvbVSsTwE base-4.15.0.0
    bytestring-0.10.12.1 containers-0.6.4.1
    data-default-0.7.1.1-9pDbF71G48YK8T0Zltgcr6
    dependent-map-0.4.0.0-5PYKkYq5P431lAxJ1VTLZ8 exceptions-0.10.4
    hashable-1.3.3.0-42gRc2xLctC1JaYfPjkrlX
    hslogger-1.3.1.0-CAADq7O7mdRHOAoBsWxSdw
    lens-5.0.1-60ifKnBVxc97Z5mKEPHeAT
    lsp-types-1.3.0.1-1homHhdCbCcJVBnsPDIE6N mtl-2.2.2
    network-uri-2.6.4.1-9p35oSDSrRH5LnXL8JxE48
    random-1.2.1-6YdpqMQvDfG35ZWURseofq
    scientific-0.3.7.0-1u1QdhkduMp6hyqaAh2lpL
    sorted-list-0.2.1.0-GAuY2s8imm748N24vRN1OU stm-2.5.0.0 text-1.2.4.1
    time-1.9.3 transformers-0.5.6.2
    unliftio-core-0.2.0.1-2baD1vXgUkB5a1NRn2rSLN
    unordered-containers-0.2.14.0-7mG6qiSFB7aBJ8f89E596e
    uuid-1.3.15-F1BwfOBSqgi6fvl8TsoQWW

haddock-interfaces:   /usr/share/doc/haskell-lsp/html/lsp.haddock
haddock-html:         /usr/share/doc/haskell-lsp/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

